services:
    Rector\Renaming\Rector\Class_\RenameClassRector:
        # see https://github.com/symplify/symplify/pull/1643/files
        Symplify\PackageBuilder\FileSystem\SmartFileInfo: 'Symplify\SmartFileSystem\SmartFileInfo'
        Symplify\PackageBuilder\Finder\FinderSanitizer: 'Symplify\SmartFileSystem\Finder\FinderSanitizer'

        # file system guard
        Symplify\Statie\FileSystem\FileSystemGuard: 'Symplify\SmartFileSystem\FileSystemGuard'
        Symplify\PackageBuilder\FileSystem\FileGuard: 'Symplify\SmartFileSystem\FileSystemGuard'
        Symplify\PackageBuilder\FileSystem\FileSystemGuard: 'Symplify\SmartFileSystem\FileSystemGuard'

        Symplify\PackageBuilder\Exception\Configuration\FileNotFoundException: 'Symplify\SmartFileSystem\Exception\FileNotFoundException'
        Symplify\PackageBuilder\Exception\FileSystem\FileNotFoundException: 'Symplify\SmartFileSystem\Exception\FileNotFoundException'

        # directory not found exception
        Symplify\PackageBuilder\Exception\FileSystem\DirectoryNotFoundException: 'Symplify\SmartFileSystem\Exception\DirectoryNotFoundException'
        Symplify\Statie\Exception\Utils\MissingDirectoryException: 'Symplify\SmartFileSystem\Exception\DirectoryNotFoundException'
        Symplify\MonorepoBuilder\Split\Exception\DirectoryNotFoundException: 'Symplify\SmartFileSystem\Exception\DirectoryNotFoundException'
